Debian Bug report logs - #544567
rpcbind: tries to overwrite /usr/bin/rpcinfo from libc{-bin,N}

version graph

Package: rpcbind; Maintainer for rpcbind is Anibal Monsalve Salazar <anibal@debian.org>; Source for rpcbind is src:rpcbind.

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Tue, 1 Sep 2009 16:09:02 UTC

Severity: grave

Merged with 544859

Found in version rpcbind/0.2.0-1

Fixed in version rpcbind/0.2.0-2

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#544567; Package rpcbind. (Tue, 01 Sep 2009 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 01 Sep 2009 16:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rpcbind: tries to overwrite /usr/bin/rpcinfo from libc{-bin,N}
Date: Tue, 01 Sep 2009 12:01:23 -0400
Package: rpcbind
Version: 0.2.0-1
Severity: grave
Justification: renders package unusable (uninstallable)

| Unpacking rpcbind (from .../rpcbind_0.2.0-1_amd64.deb) ...
| dpkg: error processing /var/cache/apt/archives/rpcbind_0.2.0-1_amd64.deb (--unpack):
|  trying to overwrite `/usr/bin/rpcinfo', which is also in package libc-bin

[or in libc{6,6.1,0.1,0.3} prior to version 2.9-24; in either case,
the same goes for its man page].  As such, rpcbind is impossible to
install anywhere without --force-overwrite.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages rpcbind depends on:
ii  libc6                         2.9-26     GNU C Library: Shared libraries
ii  libtirpc1                     0.2.0-2    transport-independent RPC library

rpcbind recommends no packages.

rpcbind suggests no packages.




Forcibly Merged 544567 544859. Request was from Aníbal Monsalve Salazar <anibal@v7w.com> to control@bugs.debian.org. (Fri, 04 Sep 2009 03:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#544567; Package rpcbind. (Wed, 04 Nov 2009 18:49:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Shmakov <oneingray@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 04 Nov 2009 18:49:13 GMT) Full text and rfc822 format available.

Message #12 received at 544567@bugs.debian.org (full text, mbox):

From: Ivan Shmakov <ivan@main.uusia.org>
Cc: 544567@bugs.debian.org, Ivan Shmakov <oneingray@gmail.com>
Subject: Re: current state of IPv6 support in Debian
Date: Thu, 05 Nov 2009 00:37:54 +0600
The following message is a courtesy copy of an article
that has been posted to gmane.linux.debian.devel.ipv6 as well.

>>>>> "IS" == Ivan Shmakov <oneingray@gmail.com> writes:

[...]

 IS> portmap -- lacks IPv6 support, necessary for NFS over IPv6 to work
 IS> (Bug#515128);

	Well, a trivial change (below) has seemingly made rpcbind
	installable and Bug#544567 be worked-around.  But I still have
	no clue what should be the proper fix?

[...]

diff -u rpcbind-0.2.0/debian/rules rpcbind-0.2.0/debian/rules
--- rpcbind-0.2.0/debian/rules
+++ rpcbind-0.2.0/debian/rules
@@ -51,6 +51,8 @@
 
 	# Add here commands to install the package into debian/rpcbind.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/rpcbind install
+	mv -- debian/rpcbind/usr/bin/rpcinfo \
+	    debian/rpcbind/usr/bin/rpcinfo.rpcbind
 
 
 # Build architecture-independent files here.
@@ -79,6 +81,8 @@
 	dh_link
 	dh_strip
 	dh_compress
+	mv -- debian/rpcbind/usr/share/man/man8/rpcinfo.8.gz \
+	    debian/rpcbind/usr/share/man/man8/rpcinfo.rpcbind.8.gz
 	dh_fixperms
 #	dh_perl
 #	dh_makeshlibs
diff -u rpcbind-0.2.0/debian/changelog rpcbind-0.2.0/debian/changelog
--- rpcbind-0.2.0/debian/changelog
+++ rpcbind-0.2.0/debian/changelog
@@ -1,3 +1,21 @@
+rpcbind (0.2.0-1.is+0.3) unstable; urgency=low
+
+  * Fixed one more time.
+
+ -- Ivan Shmakov <ivan@main.uusia.org>  Sat, 19 Sep 2009 13:45:05 +0700
+
+rpcbind (0.2.0-1.is+0.2) unstable; urgency=low
+
+  * Renamed rpcinfo.8, too.
+
+ -- Ivan Shmakov <ivan@main.uusia.org>  Sat, 19 Sep 2009 13:42:30 +0700
+
+rpcbind (0.2.0-1.is+0.1) unstable; urgency=low
+
+  * Renamed rpcinfo to rpcinfo.rpcbind (closes: #544567)
+
+ -- Ivan Shmakov <ivan@main.uusia.org>  Sat, 19 Sep 2009 11:13:49 +0700
+
 rpcbind (0.2.0-1) unstable; urgency=low
 
   * Initial release

-- 
FSF associate member #7257




Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Tue, 29 Dec 2009 01:18:07 GMT) Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. (Tue, 29 Dec 2009 01:18:07 GMT) Full text and rfc822 format available.

Message #17 received at 544567-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 544567-close@bugs.debian.org
Subject: Bug#544567: fixed in rpcbind 0.2.0-2
Date: Tue, 29 Dec 2009 01:17:18 +0000
Source: rpcbind
Source-Version: 0.2.0-2

We believe that the bug you reported is fixed in the latest version of
rpcbind, which is due to be installed in the Debian FTP archive:

rpcbind_0.2.0-2.debian.tar.bz2
  to main/r/rpcbind/rpcbind_0.2.0-2.debian.tar.bz2
rpcbind_0.2.0-2.dsc
  to main/r/rpcbind/rpcbind_0.2.0-2.dsc
rpcbind_0.2.0-2_amd64.deb
  to main/r/rpcbind/rpcbind_0.2.0-2_amd64.deb
rpcbind_0.2.0.orig.tar.bz2
  to main/r/rpcbind/rpcbind_0.2.0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544567@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated rpcbind package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Dec 2009 21:39:02 +1100
Source: rpcbind
Binary: rpcbind
Architecture: source amd64
Version: 0.2.0-2
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 rpcbind    - converts RPC program numbers into universal addresses
Closes: 544567
Changes: 
 rpcbind (0.2.0-2) unstable; urgency=low
 .
   * Don't overwrite files from libc{-bin,N}
     Rename rpcinfo to rpcbindinfo and rpcinfo.8 to rpcbindinfo.8
     Patch by Ivan Shmakov
     Closes: 544567
   * Add debian/watch
   * Debian source format is 3.0 (quilt)
Checksums-Sha1: 
 02f077372a76a8f9adfa696004aa437212c28617 271018 rpcbind_0.2.0.orig.tar.bz2
 fc9c7af9a8e7220ba8aa4d9dbc31e01277c81590 1063 rpcbind_0.2.0-2.dsc
 9baf26f4c040db5ec1d8a5bc97ec5fc923e4a108 3474 rpcbind_0.2.0-2.debian.tar.bz2
 da84d0e11a3557d7290063f5cd41c2ac85c1bb86 41738 rpcbind_0.2.0-2_amd64.deb
Checksums-Sha256: 
 c92f263e0353887f16379d7708ef1fb4c7eedcf20448bc1e4838f59497a00de3 271018 rpcbind_0.2.0.orig.tar.bz2
 5c1ea16f869f470696879afc97f5bf8f663dd628028c64e1ff9a71926b022cfe 1063 rpcbind_0.2.0-2.dsc
 e54b59ee8beb52ee5767df83e5c07443f4fb929a4e4dea73a657bf294dfac2b0 3474 rpcbind_0.2.0-2.debian.tar.bz2
 00342c7bcc76c9f66e95ac373594a8a4be41ebf8e2ea320d5970cb8ca855e765 41738 rpcbind_0.2.0-2_amd64.deb
Files: 
 1a77ddb1aaea8099ab19c351eeb26316 271018 net extra rpcbind_0.2.0.orig.tar.bz2
 060c5330ffd5de1e649bacfb676adaf8 1063 net extra rpcbind_0.2.0-2.dsc
 41b1931078f85291aa6bec0e552561ac 3474 net extra rpcbind_0.2.0-2.debian.tar.bz2
 f3376f8415cefecb2be4978c37753e00 41738 net extra rpcbind_0.2.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAks5VhMACgkQgY5NIXPNpFXDiwCfW2hTPm6f46SZbus3uq23BrUR
9dAAnR0/S4A2AO1gamuY3cxh5PfCI/ap
=Fet5
-----END PGP SIGNATURE-----





Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Tue, 29 Dec 2009 01:18:08 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Tue, 29 Dec 2009 01:18:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Feb 2010 07:37:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:30:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.